Cyberduck Mountain Duck CLI

#5593 closed enhancement (fixed)

Open in terminal (SSH) :: make available to Windows port

Reported by: marclaporte Owned by: dkocher
Priority: normal Milestone: 4.0b10
Component: sftp Version: 4.0b8
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

It's clearly documented here: http://trac.cyberduck.ch/wiki/help/en/howto/sftp#OpeninTerminal

But it's not yet available in Windows. Launching Putty would be very nice. Suggested shortcut:CRTL-P

Change History (7)

comment:1 Changed on Dec 26, 2010 at 8:11:15 PM by dkocher

  • Milestone set to 4.0b9
  • Version changed from 3.8.1 to 4.0b8

That should be straight forwarded. Starting a session from the command line.

comment:2 Changed on Dec 26, 2010 at 8:27:40 PM by dkocher

The terminal.command.ssh property in user defaults should be set to

putty.exe -ssh {0} {1}@{2} -t -P {3} -m "cd {4} && exec \$SHELL"

which is then formatted at runtime with

        String ssh = MessageFormat.format(Preferences.instance().getProperty("terminal.command.ssh"),
                identity ? "-i " + host.getCredentials().getIdentity().getAbsolute() : "",
                host.getCredentials().getUsername(),
                host.getHostname(),
                String.valueOf(host.getPort()), workdir);

The -m must point to a file according to the PuTTY documentation.

comment:3 Changed on Jan 5, 2011 at 7:10:40 PM by dkocher

  • Milestone changed from 4.0b9 to 4.1

comment:4 follow-up: Changed on Feb 28, 2011 at 2:54:05 PM by yla

  • Milestone changed from 4.1 to 4.0b10
  • Resolution set to fixed
  • Status changed from new to closed

In r8431.

By default Cyberduck looks for putty.exe in the user's home folder. To change the default search path you need to change the hidden configuration option terminal.command.ssh which specifies the location (including putty.exe) of putty.

comment:5 follow-up: Changed on Feb 28, 2011 at 2:55:14 PM by yla

There is currently no shortcut yet. Ctrl-P is usually used for printing the current file.

comment:6 in reply to: ↑ 5 Changed on Dec 28, 2011 at 5:18:35 AM by marclaporte

Replying to yla:

There is currently no shortcut yet. Ctrl-P is usually used for printing the current file.

Ctrl-P doesn't seem to be in use at the moment

What do you think of Ctrl-S for "Shell" ?

It seems available as well.

M ;-)

comment:7 in reply to: ↑ 4 Changed on Dec 28, 2011 at 5:38:05 AM by marclaporte

Replying to yla:

In r8431.

By default Cyberduck looks for putty.exe in the user's home folder. To change the default search path you need to change the hidden configuration option terminal.command.ssh which specifies the location (including putty.exe) of putty.

Cyberduck will start Putty indeed and put you in the right directory (great!)

Public/Private key authentication works beautifully. But when using password authentication, it doesn't pass the password.

Also, would you consider bundling putty.exe so users don't have to fiddle with this? (Like on Mac). Putty is licensed MIT.

"In particular, note that the MIT licence is compatible with the GNU GPL. So if you want to incorporate PuTTY or pieces of PuTTY into a GPL program, there's no problem with that." http://www.chiark.greenend.org.uk/~sgtatham/putty/licence.html

Thanks!

Note: See TracTickets for help on using tickets.
swiss made software